org.eclipse.net4j.util.io

## Class GZIPStreamWrapper

- java.lang.Object
- - org.eclipse.net4j.util.io.GZIPStreamWrapper

- All Implemented Interfaces:
    IStreamWrapper

      public class GZIPStreamWrapper
      extends Object
      implements IStreamWrapper

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GZIPStreamWrapper.Factory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_BUFFER_SIZE`
    `static int` | `DEFAULT_COMPRESSION_LEVEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPStreamWrapper()`
    `GZIPStreamWrapper(int bufferSize, int compressionLevel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finishInputStream(InputStream in)`
    `void` | `finishOutputStream(OutputStream out)`
    `GZIPInputStream` | `wrapInputStream(InputStream in)`
    `GZIPOutputStream` | `wrapOutputStream(OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BUFFER_SIZE

          public static final int DEFAULT_BUFFER_SIZE

      Since:
        3.6
      See Also:
        Constant Field Values

    - #### DEFAULT_COMPRESSION_LEVEL

          public static final int DEFAULT_COMPRESSION_LEVEL

      Since:
        3.6
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GZIPStreamWrapper

          public GZIPStreamWrapper()

    - #### GZIPStreamWrapper

          public GZIPStreamWrapper(int bufferSize,
                                   int compressionLevel)

      Since:
        3.6

  - ### Method Detail

    - #### wrapInputStream

          public GZIPInputStream wrapInputStream(InputStream in)
                                          throws IOException

      Specified by:
        `wrapInputStream` in interface `IStreamWrapper`
      Throws:
        `IOException`

    - #### wrapOutputStream

          public GZIPOutputStream wrapOutputStream(OutputStream out)
                                            throws IOException

      Specified by:
        `wrapOutputStream` in interface `IStreamWrapper`
      Throws:
        `IOException`

    - #### finishInputStream

          public void finishInputStream(InputStream in)
                                 throws IOException

      Specified by:
        `finishInputStream` in interface `IStreamWrapper`
      Throws:
        `IOException`

    - #### finishOutputStream

          public void finishOutputStream(OutputStream out)
                                  throws IOException

      Specified by:
        `finishOutputStream` in interface `IStreamWrapper`
      Throws:
        `IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html